﻿@using DTO;
@{
    ViewBag.Title = "IntentionCustomer";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";


}
@section headerStyle{
    <script type="text/javascript">
        var khlxs = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khlx))';
        var khlys = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khly))';
        var hyfls = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.hyfl))';
        var users = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.users))';
        var shengDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ShengDropDown))';
        var Creater = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Creater))';
        var shifou = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.shifou))';

        var Customertype = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Customertype))';

        var Baomingtimebegin = '@Html.Raw(ViewBag.Baomingtimebegin)';
        var Baomingtimeend = '@Html.Raw(ViewBag.Baomingtimeend)';
        var Id = '@Html.Raw(ViewBag.Id)';
        var Customertype1 = '@Html.Raw(ViewBag.Customertype1)';

        loseherght = 60;
        gridConfig = { multiselect: true, selectcol: "Id" };
        dataCol = [
            {
                label: 'id', name: 'Id', labtype: 'txt', hidden: true
            },
            { label: '建档时间', name: 'CreatetimeName', labtype: 'txt', hidden: false, width: 100 },
            {
                label: '客户单位', name: 'Name', labtype: 'txt', hidden: false, width: 400
            },

            { label: '联系电话', name: 'Tel', labtype: 'txt', hidden: false, width: 100 },
            { label: '所属区域', name: 'ShengName', labtype: 'txt', hidden: false, width: 100  },
            { label: '客户来源', name: 'KhlyName', labtype: 'txt', hidden: false, width: 100  },
            { label: '行业分类', name: 'HyflName', labtype: 'txt', hidden: false, width: 100 },
            { label: '客户类型', name: 'KhlxName', labtype: 'txt', hidden: false, width: 100},
            { label: '业务经理', name: 'YwjlName', labtype: 'txt', hidden: false, width: 100 },
            { label: '客户种类', name: 'Customertype', labtype: 'txt', hidden: false, width: 100 },

        ];
        dataUrl = "/IntentionCustomer/GetListSelect?Createtime=" + Baomingtimebegin + "|" + Baomingtimeend +"&Customertype=01";
        searchCol = [
            { label: '客户来源', name: 'Khly', labtype: 'combox', hidden: false, data: JSON.parse(khlys), cwidth: '5%', cccwidth: '8%' },
            { label: '行业分类', name: 'Hyfl', labtype: 'combox', hidden: false, data: JSON.parse(hyfls), cwidth: '5%', cccwidth: '15%' },
            { label: '客户类型', name: 'Khlx', labtype: 'combox', hidden: false, data: JSON.parse(khlxs), cwidth: '5%', cccwidth: '8%' },
            { label: '业务经理', name: 'Ywjl', labtype: 'combox', hidden: false, data: JSON.parse(users), cwidth: '5%', cccwidth: '8%' },

            { label: '省', name: 'Sheng', labtype: 'combox', hidden: false, data: JSON.parse(shengDropDown), cwidth: '5%', cccwidth: '8%' },
            { label: '市', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '1%', cccwidth: '8%' },
            { label: '区县', name: 'AreaId', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '2%', cccwidth: '8%' },
            { label: '客户单位', name: 'Name', labtype: 'txt', hidden: false },
            { label: '建档时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '客户种类', name: 'Customertype', labtype: 'combox', hidden: false, data: JSON.parse(Customertype), cwidth: '5%', cccwidth: '8%' },


        ];


         var _pageSearch = function () {
            $("#jqGrid").jqGrid('setGridParam', {
                url: dataUrl = "/IntentionCustomer/GetListSelect", postData: jsons, page: 1
            }); //重新载入
            var jsons = GetSearchEnd();
            if (jsons == false) {
                msg.info("请录入查询条件");
                return false;
            }
            LoadGrid(jsons);
        }



        var _pageZhuanyi = function () {

            var duanxin = GetGridSelect();
            var SecCustomerId = "";
            var SecCustomertype = "";
            if (duanxin != '') {
                var Customerss = Id;
                var Customertype = Customertype1;
                for (var i = 0; i < duanxin.length; i++) {

                    if (Customerss != duanxin[i]) {
                        var rowData = $("#jqGrid").jqGrid('getRowData', duanxin[i]);


                        SecCustomerId += duanxin[i] + ',';
                        SecCustomertype += rowData.Customertype + ',';
                    }
                    
                }
                if (SecCustomerId == "") {
                    toastr.error("请选择客户");
                    return;
                }

                SecCustomerId = SecCustomerId.substring(0, SecCustomerId.length - 1);
                SecCustomertype = SecCustomertype.substring(0, SecCustomertype.length - 1);

                $.ajax({
                    type: "POST",
                    url: "/CooperatecustomCustomer/SaveCustomerGuanlian",
                    dataType: "json",
                    global: false,
                    data: { CustomerId: Customerss, Customertype: Customertype , SecCustomerId: SecCustomerId, SecCustomertype: SecCustomertype },
                    success: function (data) {
                        if (data.Result) {
                           /* $(obj).parent().parent().remove();*/
                            layer.msg('保存成功', { icon: 6 });
                            _pageAutoClose();//自动关闭页面方法
                        }
                        else {
                            layer.msg(data.Message, { icon: 5 });
                        }

                    },
                    error: function () {
                        layer.msg('失败', { icon: 5 });
                    }
                });














                //var index = parent.layer.getFrameIndex(window.name);
                //parent.layer.close(index);
                //return false;
            } else {
                toastr.error("请选择客户");
                return;
            }


        }












        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除失败");
        /**/
    }
        }



        function _pageAutoClose() {
           
                parent.window._reloadPageData();
                var index = parent.layer.getFrameIndex(window.name);
                parent.layer.isRefresh = true;
                parent.layer.closeAll('loading');
                parent.layer.close(index);
                return false;
           

        }

    </script>
}

@section footerScripts{
    <script type="text/javascript">

        function send() {

            var msg = $("#PBSSheng");


            if (msg.length > 0) {
                $("#PBSSheng").change(function () {
                    var sheng = $("#PBSSheng").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getCity?shengid=" + sheng,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var city = $("#PBSCity");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSCity").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(send, 1000);
            }
        }


        send();



        function sendCity() {

            var msg = $("#PBSCity");


            if (msg.length > 0) {
                $("#PBSCity").change(function () {

                    var city = $("#PBSCity").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getAreaId?cityid=" + city,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var quxian = $("#PBSAreaId");
                            quxian.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            quxian.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    quxian.append(o);
                                }
                            }
                            $("#PBSAreaId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(sendCity, 1000);
            }
        }


        sendCity();


        $(function () {



            $("#PBSCreatetimeend").val(Baomingtimeend);

            $("#PBSCreatetimestart").val(Baomingtimebegin);

            $("#PBSCustomertype").val("01");
            $("#PBSCustomertype").trigger('chosen:updated');//更新选项
        });


    </script>
}
